org.apache.tapestry5.corelib.pages

## Class ComponentLibraries

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.ComponentLibraries

-     @UnknownActivationContextCheck(value=false)
       @WhitelistAccessOnly
      public class ComponentLibraries
      extends Object

  Page used to describe the component libraries being used in the application. Notice: the implementation of this page was done to avoid creating components, so the Tapestry 5 Core Library didn't get polluted with internal-only components.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentLibraries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Block` | `getComponentsTable()`
    `Description` | `getDescription()`
    `ComponentLibraryInfo` | `getInfo()`
    `String` | `getJavaDocUrl()`
    `String` | `getLibraryClientId()`
    `List<LibraryMapping>` | `getLibraryMappings()`
    `List<String>` | `getLibraryNames()`
    `Block` | `getMixinsTable()`
    `Block` | `getPagesTable()`
    `String` | `getSimpleLogicalName()`
    `String` | `getSourceUrl()`
    `String[]` | `getTags()`
    `boolean` | `isClassHasTags()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentLibraries

          public ComponentLibraries()

  - ### Method Detail

    - #### getLibraryMappings

          @Cached
          public List<LibraryMapping> getLibraryMappings()

    - #### getInfo

          @Cached(watch="libraryMapping")
          public ComponentLibraryInfo getInfo()

    - #### getLibraryNames

          public List<String> getLibraryNames()

    - #### getLibraryClientId

          public String getLibraryClientId()

    - #### getComponentsTable

          public Block getComponentsTable()

    - #### getPagesTable

          public Block getPagesTable()

    - #### getMixinsTable

          public Block getMixinsTable()

    - #### getSourceUrl

          public String getSourceUrl()

    - #### getJavaDocUrl

          public String getJavaDocUrl()

    - #### getSimpleLogicalName

          public String getSimpleLogicalName()

    - #### getTags

          @Cached(watch="logicalName")
          public String[] getTags()
                                                        throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getDescription

          @Cached(watch="logicalName")
          public Description getDescription()
                                                                  throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### isClassHasTags

          public boolean isClassHasTags()
                                 throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.